Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-62266

macOS 10.13: use of undeclared identifier 'InvalidContext' in qtbase

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P2: Important
    • Resolution: Done
    • Affects Version/s: 5.9.0, 5.10
    • Fix Version/s: 5.9.2
    • Component/s: Build tools: moc
    • Labels:
      None
    • Environment:
      macOS 10.13 with Xcode 9 beta 4
    • Platform/s:
      macOS
    • Commits:
      861544583511d4e6f7745d2339b26ff1cd44132b

      Description

      /Users/qt/work/qt/qtbase/bin/moc -DQT_NO_USING_NAMESPACE -DQT_NO_FOREACH -DENABLE_PIXMAN_DRAWHELPERS -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT -DQT_BUILD_GUI_LIB -DQT_BUILDING_QT -DQT_NO_CAST_TO_ASCII -DQT_ASCII_CAST_WARNINGS -DQT_MOC_COMPAT -DQT_USE_QSTRINGBUILDER -DQT_DEPRECATED_WARNINGS -DQT_DISABLE_DEPRECATED_BEFORE=0x050000 -DQT_NO_EXCEPTIONS -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -DQT_NO_DEBUG -DQT_CORE_LIB --include .moc/release/moc_predefs.h -I/Users/qt/work/qt/qtbase/mkspecs/macx-clang -I/Users/qt/work/qt/qtbase/src/gui -I/Users/qt/work/qt/qtbase/include -I/Users/qt/work/qt/qtbase/include/QtGui -I/Users/qt/work/qt/qtbase/include/QtGui/5.10.0 -I/Users/qt/work/qt/qtbase/include/QtGui/5.10.0/QtGui -I/Applications/Xcode-beta.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/OpenGL.framework/Headers -I/Applications/Xcode-beta.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/AGL.framework/Headers -I/Users/qt/work/qt/qtbase/include/QtCore/5.10.0 -I/Users/qt/work/qt/qtbase/include/QtCore/5.10.0/QtCore -I/Users/qt/work/qt/qtbase/include/QtCore -I/Applications/Xcode-beta.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include/c++/v1 -I/Applications/Xcode-beta.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/lib/clang/9.0.0/include -I/Applications/Xcode-beta.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include -I/Applications/Xcode-beta.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/usr/include -F/Users/qt/work/qt/qtbase/lib accessible/qaccessiblecache_p.h -o .moc/release/moc_qaccessiblecache_p.cpp
      painting/qcoregraphics.mm:81:39: error: use of undeclared identifier 'InvalidContext'
      require_action(inContext != NULL, InvalidContext, err = paramErr);
      ^
      painting/qcoregraphics.mm:82:38: error: use of undeclared identifier 'InvalidBounds'
      require_action(inBounds != NULL, InvalidBounds, err = paramErr);
      ^
      painting/qcoregraphics.mm:83:37: error: use of undeclared identifier 'InvalidImage'
      require_action(inImage != NULL, InvalidImage, err = paramErr);
      ^
      
      

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              • Assignee:
                jakepetroules Jake Petroules (DO NOT ASSIGN ISSUES)
                Reporter:
                tosaraja Tony Sarajärvi
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes